/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package gui;

import javax.swing.JOptionPane;
import principal.Principal;

/**
 *
 * @author franc
 */
public class Menu extends javax.swing.JFrame {

    /**
     * Creates new form Menu
     */
    public Menu() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        txtAreaListado = new javax.swing.JTextArea();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        menuSalir = new javax.swing.JMenuItem();
        menuPersona = new javax.swing.JMenu();
        menuCargar = new javax.swing.JMenuItem();
        menuModif = new javax.swing.JMenuItem();
        menuBaja = new javax.swing.JMenuItem();
        menuBuscar = new javax.swing.JMenuItem();
        jMenu3 = new javax.swing.JMenu();
        menuTodos = new javax.swing.JMenuItem();
        menuPacientes = new javax.swing.JMenuItem();
        menuDoctores = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Hospital de Córdoba");

        jLabel1.setFont(new java.awt.Font("Segoe UI", 1, 18)); // NOI18N
        jLabel1.setText("LISTADO");

        txtAreaListado.setEditable(false);
        txtAreaListado.setColumns(20);
        txtAreaListado.setRows(5);
        jScrollPane1.setViewportView(txtAreaListado);

        jMenu1.setIcon(new javax.swing.ImageIcon(".\\images\\folder.png"));
        jMenu1.setText("Menu");

        menuSalir.setIcon(new javax.swing.ImageIcon(".\\images\\exit.png"));
        menuSalir.setText("Salir");
        menuSalir.setMaximumSize(new java.awt.Dimension(22767, 22767));
        menuSalir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuSalirActionPerformed(evt);
            }
        });
        jMenu1.add(menuSalir);

        jMenuBar1.add(jMenu1);

        menuPersona.setIcon(new javax.swing.ImageIcon(".\\images\\add.png"));
        menuPersona.setText("Persona");

        menuCargar.setIcon(new javax.swing.ImageIcon(".\\images\\addemployee.png"));
        menuCargar.setText("Cargar");
        menuCargar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuCargarActionPerformed(evt);
            }
        });
        menuPersona.add(menuCargar);

        menuModif.setText("Modificar");
        menuModif.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuModifActionPerformed(evt);
            }
        });
        menuPersona.add(menuModif);

        menuBaja.setText("Dar baja");
        menuBaja.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuBajaActionPerformed(evt);
            }
        });
        menuPersona.add(menuBaja);

        menuBuscar.setText("Buscar");
        menuBuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuBuscarActionPerformed(evt);
            }
        });
        menuPersona.add(menuBuscar);

        jMenuBar1.add(menuPersona);

        jMenu3.setIcon(new javax.swing.ImageIcon(".\\images\\job.png"));
        jMenu3.setText("Listado");

        menuTodos.setIcon(new javax.swing.ImageIcon(".\\images\\job.png"));
        menuTodos.setText("Listar todas las personas");
        menuTodos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuTodosActionPerformed(evt);
            }
        });
        jMenu3.add(menuTodos);

        menuPacientes.setText("Listar solo pacientes");
        menuPacientes.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuPacientesActionPerformed(evt);
            }
        });
        jMenu3.add(menuPacientes);

        menuDoctores.setText("Listar solo doctores");
        menuDoctores.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuDoctoresActionPerformed(evt);
            }
        });
        jMenu3.add(menuDoctores);

        jMenuBar1.add(jMenu3);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 790, Short.MAX_VALUE)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jLabel1)
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(17, 17, 17)
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 379, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void menuBajaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuBajaActionPerformed
        new BorrarPersona().setVisible(true);
    }//GEN-LAST:event_menuBajaActionPerformed

    private void menuSalirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuSalirActionPerformed
        System.exit(0);
    }//GEN-LAST:event_menuSalirActionPerformed

    private void menuCargarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuCargarActionPerformed
        new CargarPersona().setVisible(true);
    }//GEN-LAST:event_menuCargarActionPerformed

    private void menuTodosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuTodosActionPerformed
        String listado = Principal.listarTodos();
        txtAreaListado.setText(listado);
    }//GEN-LAST:event_menuTodosActionPerformed

    private void menuModifActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuModifActionPerformed
        new ModificarPersona().setVisible(true);
    }//GEN-LAST:event_menuModifActionPerformed

    private void menuBuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuBuscarActionPerformed
        JOptionPane.showMessageDialog(this, "Funcionalidad no implementada.", "¡Ups!", JOptionPane.WARNING_MESSAGE);        
    }//GEN-LAST:event_menuBuscarActionPerformed

    private void menuPacientesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuPacientesActionPerformed
        JOptionPane.showMessageDialog(this, "Funcionalidad no implementada.", "¡Ups!", JOptionPane.WARNING_MESSAGE);
    }//GEN-LAST:event_menuPacientesActionPerformed

    private void menuDoctoresActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuDoctoresActionPerformed
        JOptionPane.showMessageDialog(this, "Funcionalidad no implementada.", "¡Ups!", JOptionPane.WARNING_MESSAGE);
    }//GEN-LAST:event_menuDoctoresActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Menu.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Menu().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenu jMenu3;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JMenuItem menuBaja;
    private javax.swing.JMenuItem menuBuscar;
    private javax.swing.JMenuItem menuCargar;
    private javax.swing.JMenuItem menuDoctores;
    private javax.swing.JMenuItem menuModif;
    private javax.swing.JMenuItem menuPacientes;
    private javax.swing.JMenu menuPersona;
    private javax.swing.JMenuItem menuSalir;
    private javax.swing.JMenuItem menuTodos;
    private javax.swing.JTextArea txtAreaListado;
    // End of variables declaration//GEN-END:variables
}
